### Function

# FwupdPlugin path_mkdir

#### Declaration [src]

    gboolean
    fu_path_mkdir (
      const gchar* dirname,
      GError** error
    )

#### Description [src]

Creates any required directories, including any parent directories.

Available since: | 1.8.2

#### Parameters

`dirname` | `const gchar*`
| A directory name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.